Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 612172 - Search should automatically search for all substrings (no need of wildcard *)
Search should automatically search for all substrings (no need of wildcard *)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: system-config-users (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Nils Philippsen
BaseOS QE Security Team
:
Depends On: 674047
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 09:24 EDT by Miroslav Vadkerti
Modified: 2011-05-19 10:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
This field is the basis of the errata or release note for this bug. It can also be used for change logs. The Technical Note template, known as CCFR, is as follows: Cause If you search for users or groups, it searches for (paraphrased) "searchstring*". Consequence Only users/group names beginning with the search string are found, but not those where the string is somewhere else in the name Fix Now searches for substrings in user/group names.
Story Points: ---
Clone Of:
: 674047 (view as bug list)
Environment:
Last Closed: 2011-05-19 10:13:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0730 normal SHIPPED_LIVE system-config-users bug fix and enhancement update 2011-05-18 14:09:24 EDT

  None (edit)
Description Miroslav Vadkerti 2010-07-07 09:24:26 EDT
Description of problem:
Search in s-c-users is confusing for oridnary users. Search accepts wildcards, but in string withou wild cards it shoudl search for *substring* not substring* strings like it does

Example: 
For search string 

Version-Release number of selected component (if applicable):
system-config-users-1.2.100-1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Add user test 
2. search for string "e"

Actual results:
user test not in search results

Expected results:
user test available in search results 

Additional info:
Comment 6 Florian Nadge 2011-05-06 08:58:20 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This field is the basis of the errata or release note for this bug. It can also be used for change logs.

The Technical Note template, known as CCFR, is as follows:

Cause
    What actions or circumstances cause this bug to present.
Consequence
    What happens when the bug presents.
Fix
    What was done to fix the bug.
Comment 7 Nils Philippsen 2011-05-06 09:30:11 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -3,8 +3,10 @@
 The Technical Note template, known as CCFR, is as follows:
 
 Cause
-    What actions or circumstances cause this bug to present.
+    If you search for users or groups, it searches for (paraphrased)
+    "searchstring*".
 Consequence
-    What happens when the bug presents.
+    Only users/group names beginning with the search string are found,
+    but not those where the string is somewhere else in the name
 Fix
-    What was done to fix the bug.+    Now searches for substrings in user/group names.
Comment 8 errata-xmlrpc 2011-05-19 10:13:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0730.html

Note You need to log in before you can comment on or make changes to this bug.